## galapi
Class Element

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.Element

public class Element
extends Node

A node element in the XQeury data model.

See Also:
  `Item`, `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `Element(int native_item)`
`` `Element(xsQName qName, AttributeList attrs, ItemList nds, xsQName qName1)`

Method Summary
`protected static int` `elementToItem(int q, int attrs, int nodes, int q1)`
`void` `finalize()` Releases all resources used by this element (attributes, nodes etc) Caution: If the element was constructed using variables as arguments, these variables are deallocated after calling this method

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    protected Element(int native_item)

### Element

    public Element(xsQName qName,
                   AttributeList attrs,
                   ItemList nds,
                   xsQName qName1)
            throws GalapiException

Parameters:
  `qName` - the name of the element
  `nds` - the descendant nodes of the element
  `qName1` - the name of the type of the element

Method Detail

### elementToItem

    protected static int elementToItem(int q,
                                       int attrs,
                                       int nodes,
                                       int q1)

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Releases all resources used by this element (attributes, nodes etc) Caution: If the element was constructed using variables as arguments, these variables are deallocated after calling this method

  Overrides:
    `finalize` in class `Item`
  Throws:
    `java.lang.Throwable`